## r-cran-rneos 0.2

=== DESCRIPTION ===
Package: rneos
Version: 0.2-8
Date: 2014-12-25
Title: rneos: XML-RPC Interface to NEOS
Authors@R: person("Bernhard", "Pfaff", email = "bernhard@pfaffikus.de", role = c("aut", "cre"))
Depends: R (>= 2.10.0), methods, RCurl, XML, stats
Suggests: XMLRPC
Additional_repositories: http://www.omegahat.org/R
LazyLoad: yes
Description: Within this package the XML-RPC API to NEOS is implemented. This enables the user to pass optimization problems to NEOS and retrieve results within R.
License: GPL (>= 2)
Author: Bernhard Pfaff [aut, cre]
Maintainer: Bernhard Pfaff <bernhard@pfaffikus.de>
Repository: CRAN
Repository/R-Forge/Project: rneos
Repository/R-Forge/Revision: 246
Repository/R-Forge/DateTimeStamp: 2014-12-26 19:46:26
Date/Publication: 2014-12-28 17:53:16
Packaged: 2014-12-26 20:05:18 UTC; rforge
NeedsCompilation: no

## r-cran-rneos 0.3

=== DESCRIPTION ===
Package: rneos
Version: 0.3-2
Date: 2016-12-31
Title: XML-RPC Interface to NEOS
Authors@R: person("Bernhard", "Pfaff", email = "bernhard@pfaffikus.de", role = c("aut", "cre"))
Depends: R (>= 2.10.0), methods, RCurl, XML, stats
Suggests: XMLRPC
Additional_repositories: http://www.omegahat.net/R
LazyLoad: yes
Description: Within this package the XML-RPC API to NEOS <https://neos-server.org/neos/> is implemented. This enables the user to pass optimization problems to NEOS and retrieve results within R.
License: GPL (>= 2)
Author: Bernhard Pfaff [aut, cre]
Maintainer: Bernhard Pfaff <bernhard@pfaffikus.de>
Repository: CRAN
Repository/R-Forge/Project: rneos
Repository/R-Forge/Revision: 265
Repository/R-Forge/DateTimeStamp: 2016-12-31 18:19:43
Date/Publication: 2017-01-03 11:20:03
NeedsCompilation: no
Packaged: 2016-12-31 18:25:23 UTC; rforge

## r-cran-rneos 0.3-2

=== debian/changelog ===
r-cran-rneos (0.3-2-2) unstable; urgency=medium

  * Rebuilding for R 3.5.0 transition
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Build-Depends: to 'debhelper (>= 10)'
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/compat: Increase level to 9
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 05 Jun 2018 06:27:02 -0500

r-cran-rneos (0.3-2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild for r-api-3.4 transition

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 29 Sep 2017 21:35:55 +0200

r-cran-rneos (0.3-2-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 03 Jan 2017 13:30:01 -0600

r-cran-rneos (0.3-1-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 07 Mar 2016 06:33:17 -0600

r-cran-rneos (0.2-8-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 28 Dec 2014 15:41:28 -0600

r-cran-rneos (0.2-7-1) unstable; urgency=low

  * Initial Debian release 				(Closes: #769979)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 17 Nov 2014 18:45:21 -0600

=== debian/control ===
Source: r-cran-rneos
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 10), r-base-dev (>= 3.5.0), r-omegahat-xmlrpc, r-cran-xml, r-cran-rcurl, dh-r
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/edd/r-cran-rneos
Vcs-Git: https://salsa.debian.org/edd/r-cran-rneos.git
Homepage: https://cran.r-project.org/package=rneos

Package: r-cran-rneos
Architecture: all
Depends: ${misc:Depends}, ${R:Depends}, r-omegahat-xmlrpc, r-cran-xml, r-cran-rcurl
Description: GNU R package with XML-RPC interface to NEOS
 The rneos package implements access to the XML-RPC API for NEOS
 enabling the user to pass optimization problems to NEOS and retrieve 
 results within R.

## r-cran-rneos 0.4

=== DESCRIPTION ===
Package: rneos
Version: 0.4-0
Date: 2020-04-22
Title: XML-RPC Interface to NEOS
Authors@R: c(person(given = "Bernhard", family = "Pfaff", email = "bernhard@pfaffikus.de", role = c("aut", "cre")), person(given = "Duncan Temple", family = "Lang", email = "<duncan@wald.ucdavis.edu", role = "ctb", comment = "included XMLRPC package, hosted at http://www.omegahat.net/XMLRPC/; BSD license."))
Depends: R (>= 2.10.0), methods, RCurl, XML, stats
LazyLoad: yes
Description: Within this package the XML-RPC API to NEOS <https://neos-server.org/neos/> is implemented. This enables the user to pass optimization problems to NEOS and retrieve results within R.
License: GPL (>= 2)
Maintainer: Bernhard Pfaff <bernhard@pfaffikus.de>
Repository: CRAN
Repository/R-Forge/Project: rneos
Repository/R-Forge/Revision: 267
Repository/R-Forge/DateTimeStamp: 2020-04-22 12:56:33
Date/Publication: 2020-04-23 07:40:02 UTC
NeedsCompilation: no
Packaged: 2020-04-22 13:10:08 UTC; rforge
Author: Bernhard Pfaff [aut, cre],
  Duncan Temple Lang [ctb] (included XMLRPC package, hosted at
    http://www.omegahat.net/XMLRPC/; BSD license.)

## r-cran-rneos 0.4-0

=== debian/changelog ===
r-cran-rneos (0.4-0-3) unstable; urgency=medium

  * debian/control: Remove (Build-)Depends on r-omegahat-xmlrpc which
    having vanished upstream a long time ago is now embedded here
    
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

  * debian/control: Change to debhelper-compat (= 11)
  * debian/compat: Removed
  
 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 23 Dec 2021 08:43:32 -0600

r-cran-rneos (0.4-0-2) unstable; urgency=medium

  * Rebuilt for r-4.0 transition

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 17 May 2020 18:56:11 -0500

r-cran-rneos (0.4-0-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 23 Apr 2020 17:05:59 -0500

=== debian/control ===
Source: r-cran-rneos
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.2), r-cran-xml, r-cran-rcurl, dh-r
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/edd/r-cran-rneos
Vcs-Git: https://salsa.debian.org/edd/r-cran-rneos.git
Homepage: https://cran.r-project.org/package=rneos

Package: r-cran-rneos
Architecture: all
Depends: ${misc:Depends}, ${R:Depends}, r-cran-xml, r-cran-rcurl
Description: GNU R package with XML-RPC interface to NEOS
 The rneos package implements access to the XML-RPC API for NEOS
 enabling the user to pass optimization problems to NEOS and retrieve 
 results within R.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-rneos package
# Copyright 2003 - 2018 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

## r-cran-rneos 0.4-1

=== debian/changelog ===
r-cran-rneos (0.4-1-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version
  * debian/control: Change to debhelper-compat (= 13)
  * debian/watch: Update to version 4

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 25 Jan 2026 08:20:06 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.2), r-cran-xml, r-cran-rcurl, dh-r
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.5.2), r-cran-xml, r-cran-rcurl, dh-r
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rneos
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rneos.git
 Homepage: https://cran.r-project.org/package=rneos

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/rneos_([-\d\.]*)\.tar.gz
